# $Revision: 1.54 $, $Date: 2010/10/10 13:14:25 $
%define		evo_ver	2.32
%define		rname mail-notification
Summary:	GNOME notification area mail monitor
Summary(pl.UTF-8):	Monitor poczty widoczny w obszarze powiadamiania GNOME
Name:		gnome-mail-notification
Version:	5.4
Release:	7
License:	GPL v3
Group:		X11/Applications
Source0:	http://savannah.nongnu.org/download/mailnotify/%{rname}-%{version}.tar.bz2
# Source0-md5:	c8dc33a61251acb5474e56eab6b18f43
Patch0:		%{name}-gtkhtml.patch
Patch1:		%{name}-build.patch
URL:		http://www.nongnu.org/mailnotify/
BuildRequires:	GConf2-devel >= 2.22.0
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	cyrus-sasl-devel >= 2.0
BuildRequires:	evolution-devel >= 2.32.0
BuildRequires:	gettext-devel
BuildRequires:	gmime-devel >= 2.1.19
BuildRequires:	gmime22-devel
BuildRequires:	gnome-keyring-devel >= 2.22.0
BuildRequires:	gnome-vfs2-devel >= 2.22.0
BuildRequires:	gtk+2-devel >= 2:2.12.8
BuildRequires:	intltool >= 0.36.2
BuildRequires:	libbonobo-devel >= 2.22.0
BuildRequires:	libglade2-devel >= 1:2.6.2
BuildRequires:	libgnomeui-devel >= 2.22.01
BuildRequires:	libnotify-devel >= 0.4.1
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	nautilus-devel >= 2.30
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	scrollkeeper
BuildRequires:	sed >= 4.0
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2
Requires:	gmime >= 2.1.19
Requires:	libgnomeui >= 2.22.01
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mail Notification is an icon for the GNOME Notification Area that
informs users if they have new mail. It handles multiple folders and
multiple folder formats.

%description -l pl.UTF-8
Mail Notification to ikona dla obszaru powiadamiania GNOME informująca
użytkowników, czy mają nową pocztę. Obsługuje wiele folderów oraz
wiele formatów folderów.

%package -n evolution-plugin-mail-notification
Summary:	Mail Notification plugin for Evolution
Summary(pl.UTF-8):	Wtyczka Mail Notification dla Evolution
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	evolution >= 2.32.0

%description -n evolution-plugin-mail-notification
Evolution mailbox support for Mail Notification.

%description -n evolution-plugin-mail-notification -l pl.UTF-8
Wsparcie dla skrzynek pocztowych Evolution w Mail Notification.

%prep
%setup -q -n %{rname}-%{version}
%patch0 -p1
%patch1 -p1

%build
./jb configure \
		destdir=$RPM_BUILD_ROOT \
		sysconfdir=%{_sysconfdir} \
		localstatedir=%{_var} \
		install-gconf-schemas=no
./jb build

%install
rm -rf $RPM_BUILD_ROOT

./jb install

%find_lang %{rname} --all-name --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post
%gconf_schema_install mail-notification.schemas
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall mail-notification.schemas

%postun
%scrollkeeper_update_postun
%update_icon_cache hicolor

%files -f %{rname}.lang
%defattr(644,root,root,755)
%doc NEWS README TODO
%attr(755,root,root) %{_bindir}/mail-notification
%{_datadir}/mail-notification
%{_sysconfdir}/xdg/autostart/mail-notification.desktop
%{_desktopdir}/mail-notification-properties.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.svg
%{_sysconfdir}/gconf/schemas/mail-notification.schemas

%files -n evolution-plugin-mail-notification
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/evolution/%{evo_ver}/plugins/liborg-jylefort-mail-notification.so
%{_libdir}/evolution/%{evo_ver}/plugins/org-jylefort-mail-notification.eplug

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-mail-notification.spec,v $
Revision 1.54  2010/10/10 13:14:25  megabajt
- updated -build.patch and -gtkhtml.patch
- release 7

Revision 1.53  2010/05/30 14:53:16  hawk
- build fix for evolution 2.30.x

Revision 1.52  2010/04/21 17:01:27  arekm
- release 5

Revision 1.51  2010/04/12 19:25:10  arekm
- release 4

Revision 1.50  2010/01/06 02:01:19  sparky
- BR: gmime22-devel

Revision 1.49  2009/12/31 18:21:17  megabajt
- updated evo_ver to 2.28
- added gtkhtml.patch (fixes build)
- removed obsolete patches (-eelfix.patch -desktop.patch)
- release 3

Revision 1.48  2009/05/16 20:13:56  hawk
- bumped evo_ver to 2.26, release 2

Revision 1.47  2008/10/19 12:16:19  radek
- version 5.4

Revision 1.46  2008/10/11 17:06:25  wolvverine
- up to 5.3

Revision 1.45  2008/03/24 15:43:47  hawk
- release 2

Revision 1.44  2008-03-14 21:43:27  megabajt
- added -eelfix.patch
- proper license (GPL v3)

Revision 1.43  2008-03-01 20:42:28  qboosh
- cleanup

Revision 1.42  2008-03-01 13:19:40  japhy
- Up to 5.0

Revision 1.41  2007-12-27 14:02:11  radek
- release 1

Revision 1.40  2007-11-04 23:22:10  ankry
- sr@Latn -> sr@latin, rel. 0.4

Revision 1.39  2007/10/02 23:45:43  baggins
- rel 0.3

Revision 1.38  2007/10/02 19:48:49  baggins
- fix build with evolution 2.12

Revision 1.37  2007/10/02 17:00:41  baggins
- rel 0.2
- evolution 2.12

Revision 1.36  2007/09/02 22:04:28  aredridel
- 4.1

Revision 1.35  2007/03/26 19:38:03  sls
- ver. 4.0
- use evolution-2.10

Revision 1.34  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.33  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.32  2006/11/30 19:22:00  qboosh
- don't own too much
- .so perms

Revision 1.31  2006/11/28 01:12:38  aredridel
BR: libnotify-devel

Revision 1.30  2006/11/28 01:12:05  aredridel
- 4.0-rc1

Revision 1.29.2.2  2006/06/14 22:25:43  aredridel
- gnome 2.14 Evolution dependency

Revision 1.29.2.1  2006/06/14 19:44:07  aredridel
- branch for gnome 2.14

Revision 1.29  2006/06/14 16:59:58  freetz
- 3.0, removed obsolete patches, GNOME 2.15.x deps, updated file list
  dropped capplet (setting .desktop should be visible everywhere)

Revision 1.28  2006/05/24 07:51:58  qboosh
- merged deps update and configure patch from AC-branch

Revision 1.27  2006/02/09 15:24:53  freetz
- added evolution support, added imapauth patch (official patch), rel.3

Revision 1.26.2.4  2006/05/21 18:07:05  freetz
- rel.5, fixed linking problems (configure patch added), finished evolution
  plugin, STBR

Revision 1.26.2.3  2006/05/21 16:55:56  freetz
- sync with HEAD (official patches), doesn't work for now (some libglade
  related crash, investigation in progress)

Revision 1.26.2.2  2006/05/18 22:53:41  baggins
- release 4
- strict reqs

Revision 1.26.2.1  2006/05/17 15:03:57  baggins
- rel 3
- rebuild with GNOME 2.14

Revision 1.26  2005/09/08 15:28:36  freetz
- release 2 for rebuild with new gnome-menus-libs

Revision 1.25  2005/08/16 17:14:35  freetz
- 2.0, TODO added

Revision 1.24  2005/08/09 13:09:14  paladine
- missing BR: scrollkeeper

Revision 1.23  2005/07/12 06:21:45  arekm
- rel 6

Revision 1.22  2005/05/02 09:15:45  qboosh
- BR: ac >= 2.59, libicu-devel >= 2.6, libsoup-devel >= 2.2, openssl-devel
- release 5

Revision 1.21  2005/05/01 17:40:28  qboosh
- BR cleanup

Revision 1.20  2005/04/13 20:38:49  paladine
- new style macros, rel. 4

Revision 1.19  2005/04/06 08:43:08  paladine
- use new faster rpm's GConf automation
- run scrollkeeper-update in quiet mode
- moved capplet to _desktopdir
- rel. 3

Revision 1.18  2005/03/24 12:37:37  freetz
- added missing BRs/Rs (now it should work at least...)
- rel.1 was completly broken so rel.2

Revision 1.17  2005/03/07 04:47:44  aredridel
- up to 1.1

Revision 1.16  2004/11/25 05:02:51  aredridel
- up to 1.0

Revision 1.15  2004/11/17 14:29:38  paladine
- added desktop patch
- rel 2

Revision 1.14  2004/11/15 19:32:58  paladine
- updated to 0.99

Revision 1.13  2004/11/04 12:29:41  paladine
- updated to 0.8.1

Revision 1.12  2004/11/03 09:44:02  paladine
- updated to 0.8.0

Revision 1.11  2004/10/09 10:17:45  freetz
- 0.7.0, removed help-dir.patch (outdated), BR less buggy libgnomeui

Revision 1.10  2004/09/20 09:55:32  krzak
- up to 0.6.2
- removed outdated fix.patch
- added capplet.patch (X-Capplet;)
- move capplet to %{_datadir}/gnome/capplets/

Revision 1.9  2004/08/24 06:31:31  qboosh
- added fix patch, release 2

Revision 1.8  2004/08/19 03:05:41  aredridel
- up to 0.6.1

Revision 1.7  2004/08/12 10:25:19  krzak
- up to 0.5.0
- help-dir.patch (installation directory)
- desktop.patch (categories)

Revision 1.6  2004/03/23 00:31:41  freetz
- 0.3.4
- no %%config for schemas
- %%files update, source0 url update and other small fixes

Revision 1.5  2003/11/12 22:41:32  freetz
- BR libgnomeui-devel (not gnome-panel-devel)
- small TODO

Revision 1.4  2003/11/12 22:18:40  freetz
- 0.3.1
- simplifications and cleanups
- added schema install
- full configure script rebuild
- pl fixes
- even more br

Revision 1.3  2003/10/12 12:23:19  qboosh
- pl (is it consistent with GNOME translation?)
- use find_lang

Revision 1.2  2003/10/04 14:52:48  aredridel
- removed spurious changelog entries

Revision 1.1  2003/10/02 19:52:13  aredridel
- added
